Public Attributes | List of all members
lecb_conn_ind_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

LE credit based connection created indication. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint16_t | le_psm
| Le_psm number. More...
uint16_t | local_cid
| The local source channel ID. More...
uint16_t | local_credits
| It indicates the number of LE-frames that the local device can receive. More...
uint16_t | peer_credits
| It indicates the number of LE-frames that the peer device can receive. More...
uint16_t | peer_mtu
| It indicates the maximum SDU size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request can receive on this channel. More...
uint16_t | peer_mps
| It indicates the maximum payload size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request is capable of receiving on this channe. More...

## Detailed Description

LE credit based connection created indication.

Definition at line 142 of file ble_l2cap.h.

## Member Data Documentation

## ◆ le_psm

uint16_t lecb_conn_ind_t::le_psm

Le_psm number.

Definition at line 144 of file ble_l2cap.h.

## ◆ local_cid

uint16_t lecb_conn_ind_t::local_cid

The local source channel ID.

Definition at line 145 of file ble_l2cap.h.

## ◆ local_credits

uint16_t lecb_conn_ind_t::local_credits

It indicates the number of LE-frames that the local device can receive.

Definition at line 146 of file ble_l2cap.h.

## ◆ peer_credits

uint16_t lecb_conn_ind_t::peer_credits

It indicates the number of LE-frames that the peer device can receive.

Definition at line 147 of file ble_l2cap.h.

## ◆ peer_mps

uint16_t lecb_conn_ind_t::peer_mps

It indicates the maximum payload size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request is capable of receiving on this channe.

Definition at line 150 of file ble_l2cap.h.

## ◆ peer_mtu

uint16_t lecb_conn_ind_t::peer_mtu

It indicates the maximum SDU size (in octets) that the L2CAP layer entity sending the LE Credit Based Connection Request can receive on this channel.

Definition at line 148 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h